| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
mock_block.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/property_tree.hpp>`
`#include <uhd/rfnoc/defaults.hpp>`
`#include <uhd/rfnoc/mb_controller.hpp>`
`#include <uhd/rfnoc/noc_block_base.hpp>`
`#include <uhd/rfnoc/register_iface.hpp>`
`#include <uhd/types/time_spec.hpp>`
`#include <uhd/utils/log.hpp>`
`#include <unordered_map>`
`#include <boost/format.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | uhd::rfnoc::mock_reg_iface_t
struct | uhd::rfnoc::mock_block_container

## Namespaces
namespace | uhd
namespace | uhd::rfnoc

## Functions
UHD_API mock_block_container | uhd::rfnoc::get_mock_block (const noc_id_t noc_id, const size_t num_inputs=1, const size_t num_outputs=1, const uhd::device_addr_t &args=uhd::device_addr_t(), const size_t mtu=8000, const device_type_t device_id=ANY_DEVICE, std::shared_ptr< mock_reg_iface_t > client_reg_iface=nullptr, mb_controller::sptr mbc=nullptr)